Subject: Re: [Ietf-languages] Creation of variant subtags for Karelian dialects in the IANA Language Subtag Registry

From: "Doug Ewell" <[email-masked]>
Date: Mon, 30 Aug 2021 13:32:20 -0600

Hello Tuomo,

 �

I’m copying this thread to the ietf-languages mailing list and the Language Subtag Reviewer, so they will be aware of it and can comment if they wish. Any proposals to add variant subtags will necessarily go to this list anyway.

 �

To join the ietf-languages list, please visit https://www.ietf.org/mailman/listinfo/ietf-languages .

 �

To answer your questions, you are correct that it would be necessary for ISO 639-3/RA to retire the code element ‘olo’ before this list would consider registering a variant subtag for Livvi Karelian.

 �

You are also correct that ISO 639-3/RA has stated that you need to reach agreement with the Livvi Wikipedia administrators about changing to a different code before submitting the ISO 639 request. Note that the BCP 47 subtag would not yet be known or available at this stage.

 �

If the ISO 639-3 code element ‘olo’ were to be retired, there would be no need for you to file a request to remove it from the Language Subtag Registry. We already keep track of the code lists of ISO 639 or other core standards, and file forms to update the Registry whenever there are changes.

 �

The underlying goal seems to be to have Livvi represented as a dialect of Karelian, which many scholars believe it is, instead of a language in its own right. It remains to be seen whether ISO 639-3/RA is willing to risk retiring a code element that is in active use, for a language/dialect that has an estimated 31,000 speakers (Wikipedia), in the interest of changing this classification. As I understand ISO 639-3, it aims to encode languages and not dialects, but is not meant to be the final authority in “language vs. dialect” disputes.

 �

As a reminder, none of this is necessary if the goal is simply to provide subtags for South Karelian, Viena Karelian, and Tver Karelian. Those dialects can still have variant subtags under ‘krl’ regardless of how Livvi is encoded. If you want all four dialects of Karelian to be representable under BCP 47, this is all you need to do; you can dispense with the ISO 639-3 efforts.

 �

--

Doug Ewell, CC, ALB | Lakewood, CO, US | ewellic.org

 �

From: Tuomo Kondie <[email-masked]> 
Sent: Thursday, August 26, 2021 3:09
To: Doug Ewell <[email-masked]>
Subject: Re: Creation of variant subtags for Karelian dialects in the IANA Language Subtag Registry

 �

Dear Doug,

 �

I apologize for my lack of communication. It has been a surprisingly busy year, so this got buried under other work.

 �

Thank you for your thorough and helpful explanation and guidance. Reading BCP 47 was very helpful in understanding the procedure better. I believe I have a good understanding of what needs to be done. If I understand correctly, first I need to talk with the administrators of Livvi Wikipedia about changing the code used by them, which will in turn allow ISO 639-3 Registrar to merge the codes krl and olo, and once this is done we can file a formal registration form to the IANA Language Subtag Registry to have the subtag for Livvi deprecated and new dialect subtags created for Livvi Karelian, South Karelian, Viena Karelian and Tver Karelian under Karelian. Do I understand correctly that when carried out like this and in this order, there shouldn't be any conflict between IANA and ISO 693-3 or any other issues that would prevent the process?

All the best,

Tuomo Kondie

 �

su 18. heinäk. 2021 klo 0.42 Doug Ewell ([email-masked] <mailto:[email-masked]> ) kirjoitti:

Hello Tuomo,

 �

I have not heard back from you regarding this proposal, or set of proposals. Did you need clarification from me on any of the topics related to BCP 47? Do you need additional guidance from ISO 639-3?

 �

--

Doug Ewell, CC, ALB | Lakewood, CO, US | ewellic.org <http://ewellic.org> 

 �

 �

From: Doug Ewell <[email-masked] <mailto:[email-masked]> > 
Sent: Saturday, February 6, 2021 17:56
To: 'Tuomo Kondie' <[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: RE: Creation of variant subtags for Karelian dialects in the IANA Language Subtag Registry

 �

Hello Tuomo,

 �

I apologize for taking so long to get back to you.

 �

I understand that your objective is to have variant subtags registered under BCP 47 (the IANA Language Subtag Registry) for the four main dialects of Karelian, viz. Viena Karelian, South Karelian, Tver Karelian, and Livvi Karelian. I assume there is a desire to have all of these dialects placed on the same encoding level, not to have one (Livvi) coded as a language on its own and the others as dialects of Karelian.

 �

The concern on the part of the ISO 639-3 Registrar (copied on this message) is a valid one. There must normally be a very good reason to withdraw an existing language code, especially if content is already shown to exist using that code, such as the Livvi version of Wikipedia mentioned in this thread (https://olo.wikipedia.org). I just visited this site and noticed that it advertises more than 3,500 articles, so this is certainly a non-trivial amount of content.

 �

BCP 47 will not register a subtag for a language variant which already has its own language subtag (based on ISO 639-3), and it will not deprecate that language subtag until the corresponding 639-3 code element is retired. So as far as Livvi is concerned, this is a discussion between you, the administrators of the Livvi Wikipedia, and ISO 639-3.

 �

For the other three dialects, you are welcome to request variant subtags. That will allow all four dialects to be identified uniquely in BCP 47 tags, even if one is identified in a different manner from the others.

 �

I suggest you start by reading Sections 3.5 and 3.6 of BCP 47:

 �

https://tools.ietf.org/html/bcp47#section-3.5

https://tools.ietf.org/html/bcp47#section-3.6

 �

This explains the process for registering subtags, and what you need to do. (It would be best to read the entire document, for a more complete understanding of BCP 47, but I recognize that it is a long and sometimes difficult document.)

 �

I can help you with the process of filling out the registration form shown in Figure 5 (near the start of Section 3.5). A proposed record for the variant, of the type found in the Registry, must also be posted to the mailing list. I will create and post this form for you (I do this for almost all requests).

 �

You may also want to subscribe to the ietf-languages mailing list, which is where these requests are discussed and where the decision of the Language Subtag Reviewer (Michael Everson, also copied on this message) to approve or reject them is announced:

 �

https://www.ietf.org/mailman/listinfo/ietf-languages

 �

This will allow you to participate directly in the discussion.

 �

Let me know where I can be of assistance.

 �

--

Doug Ewell, CC, ALB | Thornton, CO, US | ewellic.org <http://ewellic.org> 

 �

 �

From: Tuomo Kondie <[email-masked] <mailto:[email-masked]> > 
Sent: Sunday, December 20, 2020 2:38
To: [email-masked] <mailto:[email-masked]> 
Subject: Creation of variant subtags for Karelian dialects in the IANA Language Subtag Registry

 �

Dear Mr. Ewell,

 �

I contact you regarding the creation of variant subtags for the four main dialects of Karelian in the IANA Language Subtag Registry. I understand that Anneli Sarhimaa has already explained the current situation to you in detail. In order to get SIL to change the ISO 693-3 coding regarding Karelian to correspond with the views of the Karelian community as well as that of the researchers, a subtag for Livvi Karelian is needed in the IANA Language Subtag Registry, as there is currently a Livvi Wikipedia using the [olo] code that we are trying to get merged, and an alternative solution is needed to ensure the functionality of the Livvi Wikipedia. If a subtag is created for one Karelian variant, we feel that it is necessary to do so for the other main variants as well, thus the need for four variant subtags although the practical need for the moment speaking only concerns one of them.

I am also contacting the administrators of the Livvi Wikipedia to work out the practical code change once the subtags are created, but for that we of course need the subtag itself, and Anneli has told me that you could help us with that. Therefore I would like to ask you what the practical steps are right now that we need to take to have these subtags created. What do we need to set the process in motion?

Best regards,

Tuomo Kondie